Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class Jsf2FlowApplication

    java.lang.Object
      javax.faces.application.Application
          org.springframework.faces.webflow.FlowApplication
              org.springframework.faces.webflow.Jsf2FlowApplication

    public class Jsf2FlowApplication

extends FlowApplication

Extends FlowApplication in order to provide JSF 2 delegation method. This is necessary because some of the methods use JSF 2 specific types as input or output parameters.

Author:
  Rossen Stoyanchev

Constructor Summary
`Jsf2FlowApplication(javax.faces.application.Application delegate)`

Method Summary
`void` | `addBehavior(java.lang.String behaviorId, java.lang.String behaviorClass)`
`void` | `addDefaultValidatorId(java.lang.String validatorId)`
`javax.faces.component.behavior.Behavior` | `createBehavior(java.lang.String behaviorId)`
`javax.faces.component.UIComponent` | `createComponent(javax.faces.context.FacesContext context, javax.faces.application.Resource componentResource)`
`javax.faces.component.UIComponent` | `createComponent(javax.faces.context.FacesContext context, java.lang.String componentType, java.lang.String rendererType)`
`javax.faces.component.UIComponent` | `createComponent(javax.el.ValueExpression componentExpression, javax.faces.context.FacesContext context, java.lang.String componentType, java.lang.String rendererType)`
`java.util.Iterator<java.lang.String>` | `getBehaviorIds()`
`java.util.Map<java.lang.String,java.lang.String>` | `getDefaultValidatorInfo()`
`javax.faces.application.ProjectStage` | `getProjectStage()`
`javax.faces.application.ResourceHandler` | `getResourceHandler()`
`void` | `publishEvent(javax.faces.context.FacesContext context, java.lang.Class<? extends javax.faces.event.SystemEvent> systemEventClass, java.lang.Class<?> sourceBaseType, java.lang.Object source)`
`void` | `publishEvent(javax.faces.context.FacesContext context, java.lang.Class<? extends javax.faces.event.SystemEvent> systemEventClass, java.lang.Object source)`
`void` | `setResourceHandler(javax.faces.application.ResourceHandler resourceHandler)`
`void` | `subscribeToEvent(java.lang.Class<? extends javax.faces.event.SystemEvent> systemEventClass, java.lang.Class<?> sourceClass, javax.faces.event.SystemEventListener listener)`
`void` | `subscribeToEvent(java.lang.Class<? extends javax.faces.event.SystemEvent> systemEventClass, javax.faces.event.SystemEventListener listener)`
`void` | `unsubscribeFromEvent(java.lang.Class<? extends javax.faces.event.SystemEvent> systemEventClass, java.lang.Class<?> sourceClass, javax.faces.event.SystemEventListener listener)`
`void` | `unsubscribeFromEvent(java.lang.Class<? extends javax.faces.event.SystemEvent> systemEventClass, javax.faces.event.SystemEventListener listener)`

Methods inherited from class org.springframework.faces.webflow.FlowApplication
`addComponent, addConverter, addConverter, addELContextListener, addELResolver, addValidator, createComponent, createComponent, createComponent, createConverter, createConverter, createMethodBinding, createValidator, createValueBinding, evaluateExpressionGet, getActionListener, getComponentTypes, getConverterIds, getConverterTypes, getDefaultLocale, getDefaultRenderKitId, getDelegate, getELContextListeners, getELResolver, getExpressionFactory, getMessageBundle, getNavigationHandler, getPropertyResolver, getResourceBundle, getStateManager, getSupportedLocales, getValidatorIds, getVariableResolver, getViewHandler, removeELContextListener, setActionListener, setDefaultLocale, setDefaultRenderKitId, setMessageBundle, setNavigationHandler, setPropertyResolver, setStateManager, setSupportedLocales, setVariableResolver, setViewHandler`

Methods inherited from class javax.faces.application.Application
`getFlowHandler, setFlowHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jsf2FlowApplication

    public Jsf2FlowApplication(javax.faces.application.Application delegate)

Method Detail

### addBehavior

    public void addBehavior(java.lang.String behaviorId,
                            java.lang.String behaviorClass)

  Overrides:
    `addBehavior` in class `javax.faces.application.Application`

### addDefaultValidatorId

    public void addDefaultValidatorId(java.lang.String validatorId)

  Overrides:
    `addDefaultValidatorId` in class `javax.faces.application.Application`

### createBehavior

    public javax.faces.component.behavior.Behavior createBehavior(java.lang.String behaviorId)
                                                           throws javax.faces.FacesException

  Overrides:
    `createBehavior` in class `javax.faces.application.Application`
  Throws:
    `javax.faces.FacesException`

### createComponent

    public javax.faces.component.UIComponent createComponent(javax.faces.context.FacesContext context,
                                                             javax.faces.application.Resource componentResource)

  Overrides:
    `createComponent` in class `javax.faces.application.Application`

### createComponent

    public javax.faces.component.UIComponent createComponent(javax.faces.context.FacesContext context,
                                                             java.lang.String componentType,
                                                             java.lang.String rendererType)

  Overrides:
    `createComponent` in class `javax.faces.application.Application`

### createComponent

    public javax.faces.component.UIComponent createComponent(javax.el.ValueExpression componentExpression,
                                                             javax.faces.context.FacesContext context,
                                                             java.lang.String componentType,
                                                             java.lang.String rendererType)

  Overrides:
    `createComponent` in class `javax.faces.application.Application`

### getBehaviorIds

    public java.util.Iterator<java.lang.String> getBehaviorIds()

  Overrides:
    `getBehaviorIds` in class `javax.faces.application.Application`

### getDefaultValidatorInfo

    public java.util.Map<java.lang.String,java.lang.String> getDefaultValidatorInfo()

  Overrides:
    `getDefaultValidatorInfo` in class `javax.faces.application.Application`

### getProjectStage

    public javax.faces.application.ProjectStage getProjectStage()

  Overrides:
    `getProjectStage` in class `javax.faces.application.Application`

### getResourceHandler

    public javax.faces.application.ResourceHandler getResourceHandler()

  Overrides:
    `getResourceHandler` in class `javax.faces.application.Application`

### publishEvent

    public void publishEvent(javax.faces.context.FacesContext context,
                             java.lang.Class<? extends javax.faces.event.SystemEvent> systemEventClass,
                             java.lang.Class<?> sourceBaseType,
                             java.lang.Object source)

  Overrides:
    `publishEvent` in class `javax.faces.application.Application`

### publishEvent

    public void publishEvent(javax.faces.context.FacesContext context,
                             java.lang.Class<? extends javax.faces.event.SystemEvent> systemEventClass,
                             java.lang.Object source)

  Overrides:
    `publishEvent` in class `javax.faces.application.Application`

### setResourceHandler

    public void setResourceHandler(javax.faces.application.ResourceHandler resourceHandler)

  Overrides:
    `setResourceHandler` in class `javax.faces.application.Application`

### subscribeToEvent

    public void subscribeToEvent(java.lang.Class<? extends javax.faces.event.SystemEvent> systemEventClass,
                                 java.lang.Class<?> sourceClass,
                                 javax.faces.event.SystemEventListener listener)

  Overrides:
    `subscribeToEvent` in class `javax.faces.application.Application`

### subscribeToEvent

    public void subscribeToEvent(java.lang.Class<? extends javax.faces.event.SystemEvent> systemEventClass,
                                 javax.faces.event.SystemEventListener listener)

  Overrides:
    `subscribeToEvent` in class `javax.faces.application.Application`

### unsubscribeFromEvent

    public void unsubscribeFromEvent(java.lang.Class<? extends javax.faces.event.SystemEvent> systemEventClass,
                                     java.lang.Class<?> sourceClass,
                                     javax.faces.event.SystemEventListener listener)

  Overrides:
    `unsubscribeFromEvent` in class `javax.faces.application.Application`

### unsubscribeFromEvent

    public void unsubscribeFromEvent(java.lang.Class<? extends javax.faces.event.SystemEvent> systemEventClass,
                                     javax.faces.event.SystemEventListener listener)

  Overrides:
    `unsubscribeFromEvent` in class `javax.faces.application.Application`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD